import 'globals.dart';
import 'utils.dart' as utils;

/// Archive screenshots generated by a run.
class Archive {
  static final _timeStamp = getTimestamp();

  final archiveDirPrefix;

  Archive(String archiveDir) : archiveDirPrefix = '$archiveDir/$_timeStamp';

  String dstDir(DeviceType deviceType, String locale) =>
      '$archiveDirPrefix/${utils.getStringFromEnum(deviceType)}/$locale';
}

/// Generates timestamp as [DateTime] in milliseconds
DateTime getTimestamp() {
  final timestamp = DateTime.fromMillisecondsSinceEpoch(
      DateTime.now().millisecondsSinceEpoch);
  return timestamp;
}
